
namespace OASystem.Domain.Entities.Customer
{
    /// <summary>
    /// 客户公司表
    /// </summary>
    [SugarTable("Crm_CustomerCompany")]
    public class Crm_CustomerCompany:EntityBase
    {
        /// <summary>
        /// 客户公司名称
        /// </summary>
        [SugarColumn(IsNullable =true,ColumnDataType = "varchar(80)")]
        public string CompanyName { get; set; }
        /// <summary>
        /// 公司地址
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(200)")]
        public string Address { get; set; }
        /// <summary>
        /// 邮政编码
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(80)")]
        public string PostCodes { get; set; }
        /// <summary>
        /// 最后操作人
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int LastedOpUserId { get; set; }
        /// <summary>
        /// 客户公司名称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "DateTime")]
        public DateTime LastedOpDt { get; set; }
    }
}
